Bug 764216 - (GLUSTER-2484) Default start/stop levels in init.d script are wrong for boot mount
Default start/stop levels in init.d script are wrong for boot mount
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: build (Show other bugs)
3.1.2
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Sachidananda Urs
:
Depends On:
Blocks: 817967
  Show dependency treegraph
 
Reported: 2011-03-03 03:29 EST by Alex/AT
Modified: 2013-07-24 13:37 EDT (History)
4 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-24 13:37:01 EDT
Type: ---
Regression: ---
Mount Type: fuse
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alex/AT 2011-03-03 03:29:17 EST
The default init script for glusterd says:

# chkconfig: 35 90 12

This makes it start at order 90, and stop at order 12.

At least under RHEL/CentOS and compatible systems it will cause boot problems if we are mounting local node data (or using DNS-RR with only the local node starting), and can also cause shutdown problems as well.

Why is it so:

netfs (network fs mounting script) starts at order 25, and stops at order 75. So at the moment of netfs start/stop local glusterfsd node will not be yet/already available.

Suggestion:

We may change init script as following.

# chkconfig: 35 20 80

So the glusterd will start after network (it is at 10/90), but just before netfs.
Comment 1 Anand Avati 2011-11-23 20:50:50 EST
CHANGE: http://review.gluster.com/746 (In cases of client and server sharing the same machine, mounting GlusterFS at) merged in master by Anand Avati (avati@gluster.com)

Note You need to log in before you can comment on or make changes to this bug.